Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

spurious warning on "use_menhir" tag #6502

Closed
vicuna opened this issue Jul 29, 2014 · 1 comment

Comments

Projects
None yet
2 participants
@vicuna
Copy link

commented Jul 29, 2014

Original bug ID: 6502
Reporter: @xavierleroy
Assigned to: @gasche
Status: closed (set by @xavierleroy on 2016-12-07T10:34:24Z)
Resolution: fixed
Priority: normal
Severity: tweak
Platform: ARM
OS: Linux
Version: 4.02.0+dev
Target version: 4.02.1+dev
Category: -for ocamlbuild use https://github.com/ocaml/ocamlbuild/issues

Bug description

Having "true: use_menhir" in _tags, I get the following warning:

Warning: the tag "use_menhir" is not used in any flag declaration, so it will have no effect; it may be a typo. Otherwise use mark_tag_used in your myocamlbuild.ml to disable this warning.

I believe this warning is spurious, since "use_menhir" does take effect.

Suggested fix, to be confirmed by ocamlbuild experts: in ocamlbuild/main.ml, add "use_menhir" to the list "builtin_useful_tags" on line 61.

@vicuna

This comment has been minimized.

Copy link
Author

commented Aug 6, 2014

Comment author: @gasche

Fixed as suggested.

@vicuna vicuna closed this Dec 7, 2016

@vicuna vicuna added the ocamlbuild label Mar 14, 2019

@vicuna vicuna added this to the 4.02.1 milestone Mar 14, 2019

@vicuna vicuna added the bug label Mar 20, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.